package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.room.entity.Room;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.RoomVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class RoomWrapper extends BaseEntityWrapper<Room, RoomVO> {


	public static RoomWrapper build(){
		return new RoomWrapper();
	}
	@Override
	public RoomVO entityVO(Room room) {

		RoomVO roomVO = Objects.requireNonNull(BeanUtil.copy(room,RoomVO.class));
		return roomVO;
	}
}
